- Home
- Resources
- Config (perspective path) admin API
WS for handling perspective (indirect) path in
context of specified system configuration draft.
POST /admin/config/perspective/members/remove/{configurationId}
Remove perspective member's path in specified system configuration draft.
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| configurationId |
path |
System configuration draft identifier |
|
long |
Request Body
| media type |
data type |
description |
| application/json |
string
(JSON) |
list of perspective members id's to be deleted |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON with information whether request was successful |
POST /admin/config/perspective/members/update/{configurationId}
Update perspective member's path in
specified system configuration draft.
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| configurationId |
path |
System configuration draft identifier |
|
long |
Request Body
| media type |
data type |
description |
| application/json |
string
(JSON) |
list of perspective members to be updated |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON with information whether request was successful |
POST /admin/config/perspective/members/add/{configurationId}/{perspectiveMemberId}
Add path to perspective members in specified system configuration
draft.
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| configurationId |
path |
System configuration draft identifier |
|
long |
| perspectiveMemberId |
path |
The unique identifier of perspective |
|
long |
Request Body
| media type |
data type |
description |
| application/json |
string
(JSON) |
id's of classes to be added as perspective member path |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON with information whether request was successful |
GET /admin/config/perspective/members/json/{configurationId}/{perspectiveMemberId}
Get members of specified perspective path in specified
system configuration draft.
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| configurationId |
path |
System configuration draft identifier |
|
long |
| perspectiveMemberId |
path |
The unique identifier of perspective member |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON Response with description of perspective's member path |